lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "quick_copyright_text/version"

Gem::Specification.new do |spec|
  spec.name          = "quick_copyright_text"
  spec.version       = QuickCopyrightText::VERSION
  spec.authors       = ["markmead"]
  spec.email         = ["itsmarkmead@gmail.com"]

  spec.summary       = %q{Quickly add copyright text to your website}
  spec.description   = %q{Quickly add copyright text to your website including the copyright symbol, an option to add a custom name and custom text}
  spec.homepage      = "https://github.com/markmead/quick_copyright_text"
  spec.license       = "MIT"

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/markmead/quick_copyright_text"
  # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
